> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update VAT settings for an organization



## OpenAPI

````yaml openapi/findity-admin-api.json PUT /organizations/{organizationId}/vatsettings
openapi: 3.1.0
info:
  title: Findity Admin API
  description: Findity Admin API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/admin
  - url: https://api.findity.com/api/v1/admin
security:
  - bearerAuth: []
paths:
  /organizations/{organizationId}/vatsettings:
    put:
      tags:
        - VAT
      summary: Update VAT settings for an organization
      operationId: updateVatSettings
      parameters:
        - $ref: '#/components/parameters/vatOrganizationId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PUTVatSettings'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VatSettingsUpdateResponse'
        '400':
          description: Invalid request - validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
        '404':
          description: Organization not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
components:
  parameters:
    vatOrganizationId:
      in: path
      name: organizationId
      required: true
      description: The organization ID
      schema:
        type: string
      example: ff8080819c5664d9019c56706bc30008
  schemas:
    PUTVatSettings:
      type: object
      required:
        - vatMode
      properties:
        vatMode:
          type: string
          enum:
            - SINGLE_VAT
            - MULTI_VAT
            - NO_VAT
          description: VAT mode for the organization
        vatSettings:
          type: array
          description: Array of VAT rate mappings to salary codes and accounting numbers
          items:
            type: object
            required:
              - taxRateId
              - rate
            properties:
              companyTaxRateId:
                type: string
                nullable: true
                description: ID of existing company VAT rate mapping (for updates)
              taxRateId:
                type: string
                description: ID of the VAT rate
              rate:
                type: number
                format: double
                description: VAT rate percentage
              salaryCodeId:
                type: string
                nullable: true
                description: ID of the salary code to map to this VAT rate
              accountingNumberId:
                type: string
                nullable: true
                description: ID of the accounting number to map to this VAT rate
      example:
        vatMode: MULTI_VAT
        vatSettings:
          - taxRateId: ff8080819c5664d9019c56706bc30008
            rate: 25
            salaryCodeId: ff8080819c5664d9019c56706bc3000a
            companyTaxRateId: null
            accountingNumberId: null
          - taxRateId: ff8080819c5664d9019c56706bc3000c
            rate: 12
            companyTaxRateId: null
            salaryCodeId: ff8080819c5664d9019c56706bc3000a
            accountingNumberId: ff8080819c5664d9019c56706bc3000b
    VatSettingsUpdateResponse:
      type: object
      properties:
        vatMode:
          type: string
          enum:
            - SINGLE_VAT
            - MULTI_VAT
            - NO_VAT
          description: VAT mode that was set
        vatSettings:
          type: array
          description: Array of VAT rate mappings that were created/updated
          items:
            $ref: '#/components/schemas/CompanyTaxRate'
      example:
        vatMode: MULTI_VAT
        vatSettings:
          - taxRateId: ff8080819c5664d9019c56706bc30008
            rate: 25
            companyTaxRateId: ff8080819c5664d9019c56706bc30009
            salaryCodeId: ff8080819c5664d9019c56706bc3000a
            accountingNumberId: null
          - taxRateId: ff8080819c5664d9019c56706bc3000c
            rate: 12
            companyTaxRateId: ff8080819c5664d9019c56706bc3000d
            salaryCodeId: ff8080819c5664d9019c56706bc3000a
            accountingNumberId: ff8080819c5664d9019c56706bc3000b
    400Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
    404Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
      example:
        result: error
        code: ORGANIZATION_NOT_FOUND
        description: 'Failed to get organization for id: {orgId}'
    CompanyTaxRate:
      type: object
      properties:
        taxRateId:
          type: string
          description: ID of the VAT rate
        rate:
          type: number
          format: double
          description: VAT rate percentage
        companyTaxRateId:
          type: string
          nullable: true
          description: ID of the company VAT rate mapping (null if not yet mapped)
        salaryCodeId:
          type: string
          nullable: true
          description: ID of the salary code (null if not yet mapped)
        accountingNumberId:
          type: string
          nullable: true
          description: ID of the accounting number (null if not yet mapped)
      example:
        taxRateId: ff8080819c5664d9019c56706bc30008
        rate: 25
        companyTaxRateId: ff8080819c5664d9019c56706bc30009
        salaryCodeId: ff8080819c5664d9019c56706bc3000a
        accountingNumberId: ff8080819c5664d9019c56706bc3000b
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````